dosemu (1.4.0.7+20130105+b028d3f-2) unstable; urgency=medium

  * Add debian/patches/pc-tcp-pad.patch: add packet padding needed
    by PC/TCP DOS network stack to avoid dropping small but valid
    packets, thanks to Frank Hintsch and Mauro Flores.

 -- Kees Cook <kees@debian.org>  Thu, 18 Jun 2015 11:18:58 -0700

dosemu (1.4.0.7+20130105+b028d3f-1) unstable; urgency=low

  * New upstream version, export from git b028d3f:
    - drop debian/patches/spelling-fixes.patch: taken upstream.
    - drop debian/patches/manpage-dashes.patch: taken upstream.
  * debian/copyright: add a note about why dosemu is in contrib
    (Closes: 691277).

 -- Kees Cook <kees@debian.org>  Sat, 05 Jan 2013 08:54:42 -0800

dosemu (1.4.0+svn.2080-1) unstable; urgency=low

  * New upstream version, exported from svn r2080:
    - drop debian/patches/force-vm86-emu.patch, now detected upstream.
  * debian/control: update deps for libgpm-dev (Closes: 676651).
  * debian/control: bump standards version to 3.9.3; no changes.
  * debian/rules: corrected "clean" target.
  * debian/control, debian/compat: switch to compat 9 to gain default
    build flags.
  * debian/dosemu.lintian-overrides: verify hardening warnings as safe
    and add to overrides.

 -- Kees Cook <kees@debian.org>  Sat, 16 Jun 2012 11:50:59 -0700

dosemu (1.4.0+svn.2010-1) unstable; urgency=low

  * New upstream version, exported from svn r2008:
    - DPMI cleanups (Closes: 626328, 622632).

 -- Kees Cook <kees@debian.org>  Thu, 12 May 2011 02:28:22 -0700

dosemu (1.4.0+svn.2008-1) unstable; urgency=low

  * New upstream version, exported from svn r2008.
  * add debian/patches/force-vm86-emu.patch: kick $_cpu_emu up to "vm86" so
    dosemu will run on a system with mmap_min_addr > 0 (Closes: 569754).
  * update debian/patches/debianize.patch: do not build redundant mkfatimage.
  * add debian/doc-base.{freecom,cmd}: add doc-base files for HTML docs.
  * debian/rules: update for freedos orig-file split-up.
  * debian/control: standard version bump, no changes needed.
  * debian/control: drop references to Etch-era package replacements.

 -- Kees Cook <kees@debian.org>  Sat, 07 May 2011 05:06:42 -0700

dosemu (1.4.0+svn.1999-2) unstable; urgency=low

  * {rules,control}: switch to dpkg-source 3.0 (quilt) format and dh7.
  * patches/debianize.patch: cleaned up more.
  * patches/spelling-fixes.patch: fix spelling errors pointed out by lintian.
  * patches/manpage-dashes.patch: clean up manpage minus-not-dash errors.
  * dosemu.desktop: drop "Encoding".

 -- Kees Cook <kees@debian.org>  Sun, 20 Jun 2010 20:49:16 -0700

dosemu (1.4.0+svn.1999-1) unstable; urgency=low

  * New upstream version, exported from svn r1999 (Closes: 566595):
    - fix PentiumII use of SSE causing SIGILL.
    - fix CIFS and large file support problems.
  * debian/rules: tweak get-orig-source slightly for better dir name.

 -- Kees Cook <kees@debian.org>  Fri, 29 Jan 2010 10:00:09 -0800

dosemu (1.4.0+svn.1997-1) unstable; urgency=low

  * New upstream version, exported from svn r1997 (Closes: 505247):
    - 04_socalled.diff: dropped, taken upstream (r1907).
    - 05_typos351016.diff: dropped, taken upstream (r1908).
    - 06_case16.diff: dropped, fixed upstream (r1869).
    - 07_next.diff: dropped, taken upstream (r1871).
    - debian/midid.1: dropped, taken upstream (r1872).
  * debian/README.source: added CDBS patching boiler-plate documentation.
  * debian/control:
    - update standards version.
    - make myself maintainer, many thanks to Bart Martens for all the
      great dosemu work!
  * debian/rules: add get-orig-source target for easy svn export, and
    drop debian/README.Debian-source.

 -- Kees Cook <kees@debian.org>  Mon, 14 Dec 2009 19:54:21 -0800

dosemu (1.4.0+svn.1828-3) unstable; urgency=low

  * debian/patches/06_case16.diff: Added.
    Solves crash on AMD Phenom(tm) 9550 processor.  Closes: #524395.
    Patch by Hans Bausewein <hans.bausewein@xs4all.nl>, thanks.
  * debian/patches/07_next.diff: Added.
    Fixes memory allocation issue in handling of xms.  Closes: #494082.
    Patch by Margarita Manterola <margamanterola@gmail.com>, thanks.
  * debian/midid.1, debian/manpages: Added.  Closes: #352266.
    Man page written by Francois Wendling <frwendling@free.fr>, thanks.
  * debian/control: Replaced obsolete xutils in Build-Depends.
  * Fixed debian-copyright-file-uses-obsolete-national-encoding. 

 -- Bart Martens <bartm@debian.org>  Sat, 18 Apr 2009 15:57:38 +0200

dosemu (1.4.0+svn.1828-2) unstable; urgency=low

  * debian/control: Removed dpatch from Build-Depends.
  * debian/menu: Updated for changes in menu policy.
  * debian/rules: No longer installing empty directory.
  * Binary package for architecture amd64.  Closes: #442863.

 -- Bart Martens <bartm@debian.org>  Sun, 03 Feb 2008 09:40:37 +0100

dosemu (1.4.0+svn.1828-1) unstable; urgency=low

  * New upstream version, exported from upstream svn, revision 1828.
  * Includes upstream svn revision 1827, closes: #428578.
  * debian/README.Debian-source: Updated.
  * debian/patches/01_debianize.diff: Updated.
  * debian/control: Added architecture amd64.  Closes: #426920.
  * debian/dirs, debian/rules: Install autoexec.bat and config.sys in
    /etc/dosemu/freedos.  Closes: #429613.

 -- Bart Martens <bartm@knars.be>  Tue, 19 Jun 2007 11:15:48 +0200

dosemu (1.4.0-2) unstable; urgency=low

  * debian/rules: Fix dangling symlink.  Closes: #426856.

 -- Bart Martens <bartm@knars.be>  Thu, 31 May 2007 19:00:44 +0200

dosemu (1.4.0-1) unstable; urgency=low

  * New upstream stable release.  Closes: #352100.
  * debian/*: Switch to cdbs.
  * debian/*: Merging with dosemu-freedos and xfonts-dosemu.
  * debian/control, debian/rules, debian/install: Using imagemagick to resize
    dosemu.xpm to dosemu32x24.xpm for use in debian/menu.
  * debian/copyright: Updated.
  * debian/dosemu.postinst, debian/postrm, debian/preinst: Removed.
  * debian/etc/dosemu.users: Removed.
  * debian/menu: Updated.
  * debian/oldpatches/*: Old patches to be deleted or reused.
  * debian/patches/01_debianize.diff: Added.
  * Removed obsolete patches from debian/patches: 01gcc-4.0, 02slang2,
    06dosemu-dosdrive_d, 07toofast, 08charsets, 09mkdir, 10missingdos,
    11copying, 12patch389878.
  * debian/README.Debian: Edited to delete some obsolete parts.
  * debian/README.Debian-source: Added to explain the .orig.tar.gz file.

 -- Bart Martens <bartm@knars.be>  Wed, 30 May 2007 08:39:17 +0200

dosemu (1.2.2-9) unstable; urgency=low

  * debian/dirs, debian/dosemu.bug, debian/rules: No longer installing the
    reportbug helper, undoing #366208.
  * debian/patches/03dosemu_desktop.dpatch, debian/patches/00list,
    debian/dosemu.desktop, debian/rules: Replaced the dpatch by the plain file
    debian/dosemu.desktop.
  * debian/dosemu.desktop: Fixed.  Closes: #401239.  Patch by Pino Toscano
    <toscano.pino@tiscali.it>, thanks.

 -- Bart Martens <bartm@knars.be>  Fri, 16 Mar 2007 17:04:12 +0100

dosemu (1.2.2-8) unstable; urgency=low

  * debian/control: Fixed typo in "Recommends: xfonts-utils".
  * debian/rules, debian/control: Update config.guess and config.sub.

 -- Bart Martens <bartm@knars.be>  Sat, 25 Nov 2006 12:35:41 +0100

dosemu (1.2.2-7) unstable; urgency=low

  * debian/control: Changed "Depends: xbase-clients (>= 3.3.3.1-5) | xutils,
    xbase-clients (<< 4.0) | xutils" to "Recommends: xfonts-utils".
    Closes: #399620.

 -- Bart Martens <bartm@knars.be>  Tue, 21 Nov 2006 11:01:07 +0100

dosemu (1.2.2-6) unstable; urgency=low

  * debian/patches/12patch389878.dpatch: Added.  Closes: #389878.
  * debian/patches/patch352572.diff: Removed.  Was not used.

 -- Bart Martens <bartm@knars.be>  Thu,  9 Nov 2006 18:52:08 +0100

dosemu (1.2.2-5) unstable; urgency=low

  * debian/control: Build-depends libxt-dev.  Closes: #370021.
  * debian/rules: Use autoconf.
  * configure.ac: Added -L/usr/X11R6/lib to LDFLAGS.

 -- Bart Martens <bartm@knars.be>  Sun,  4 Jun 2006 13:20:29 +0200

dosemu (1.2.2-4) unstable; urgency=low

  * debian/control: Build-depend on newer debhelper version and on
    xfonts-utils, for the new font location /usr/share/fonts/X11.
  * debian/rules, debian/xfonts-dosemu.dirs: Moving the fonts to
    /usr/share/fonts/X11.  Closes: #362367.
  * debian/dosemu.bug, debian/dirs, debian/rules: Installing
    /usr/share/bug/dosemu for more complete bug reporting.  Patch by Ryan
    Underwood <nemesis@icequake.net>, thanks.  Closes: #366208.
  * debian/copyright: Updated.
  * debian/control: Standards version.
  * debian/control: Added homepage to descriptions.
  * debian/control: Changed my e-mail address.

 -- Bart Martens <bartm@knars.be>  Mon,  8 May 2006 19:59:09 +0200

dosemu (1.2.2-3) unstable; urgency=low

  * debian/patches/07toofast.dpatch: Fix for "too fast to play games".
    Closes: #354208.  Patch by Stas Sergeev <stsp@aknet.ru>, thanks.
  * debian/patches/08charsets.dpatch: Fix filename unicode translation.
    Closes: #354372.  Patch by Bart Oldeman
    <bartoldeman@users.sourceforge.net>, thanks.
  * debian/patches/09mkdir.dpatch: Fix for displayed error "cannot touch".
    Closes: #354455.
  * debian/patches/10missingdos.dpatch: Debianize message about installing
    dosemu-freedos.  Closes: #352572.
  * debian/patches/11copying.dpatch: Debianize message about the COPYING file.
  * src/plugin/commands/generic.S: Undo stack_size change.  Closes: #354270.
  * debian/watch: Added.  Closes: #354227.

 -- Bart Martens <bart.martens@advalvas.be>  Tue, 28 Feb 2006 20:48:33 +0100

dosemu (1.2.2-2) unstable; urgency=low

  * New maintainer.  Closes: #249718.
  * debian/postrm: Don't purge user data.  Closes: #268664.
  * debian/rules: Install midid.  Closes: #249242.
  * debian/patches/04socalled.dpatch: Fix typo.  Closes: #307021.  Patch by A
    Costa <agcosta@gis.net>, thanks.
  * debian/patches/05typos351016.dpatch: Fix typo's.  Closes: #351016.  Patch
    by A Costa <agcosta@gis.net>, thanks.
  * debian/patches/06dosemu-dosdrive_d.dpatch: Environment variable
    DOSDRIVE_D.  Closes: #332478.  Patch by Michael Klein
    <michael.klein@puffin.lb.shuttle.de>, thanks.

 -- Bart Martens <bart.martens@advalvas.be>  Fri, 10 Feb 2006 19:47:50 +0100

dosemu (1.2.2-1) unstable; urgency=low

  * QA upload.
  * New upstream version 1.2.2.  Closes: #328652.  Note that all patches of
    version 1.2.1-3.1 work with version 1.2.2 without modifications.
  * debian/control, debian/rules, debian/patches: Added use of dpatch.
  * debian/patches/01gcc-4.0.dpatch: Fixes FTBFS.  Closes: #349206.  Patch by
    Matej Vela <vela@debian.org>, thanks.
  * 02slang2.dpatch, debian/control: Use libslang2-dev.  Closes: #331623.
  * debian/dirs, debian/rules: Moved dosemu.xpm out of /usr/X11R6.
  * debian/dosemu.links, debian/rules: Added symlink of dosemu.xpm to
    /usr/share/pixmaps.
  * debian/patches/03dosemu_desktop.dpatch, debian/dirs: Gnome/KDE menu entry.
    Patch by Mantas K. <mantas@akl.lt>, thanks.  Closes: #301095.
  * debian/control: Replaced build-depends |xlibs-dev by libxxf86vm-dev,
    libice-dev.
  * debian/control: Standards version.
  * debian/compat, debian/rules, debian/control: Debhelper compat version.
  * debian/copyright: Fixed lintian old-fsf-address-in-copyright-file.

 -- Bart Martens <bart.martens@advalvas.be>  Sat, 28 Jan 2006 14:33:16 +0100

dosemu (1.2.1-3.1) unstable; urgency=low

  * Non-maintainer upload
  * Rebuild against libslang1-dev (Closes: #321432)

 -- Philipp Kern <pkern@debian.org>  Sat,  6 Aug 2005 14:44:22 +0200

dosemu (1.2.1-3) unstable; urgency=low

  * QA Group upload orphaning this package
  * debian/changelog: converted to UTF-8

 -- Andrew Pollock <apollock@debian.org>  Thu, 24 Jun 2004 11:01:05 +1000

dosemu (1.2.1-2) unstable; urgency=low

  * Build-depend on libx11-dev and libxext-dev (closes: #241273).

 -- Herbert Xu <herbert@debian.org>  Sat, 17 Apr 2004 18:05:54 +1000

dosemu (1.2.1-1) unstable; urgency=low

  * New upstream release (closes: #236556).
  * src/plugin/commands/generic.S: Set stack_size to 2K.

 -- Herbert Xu <herbert@debian.org>  Mon,  8 Mar 2004 19:44:54 +1100

dosemu (1.2.0-2) unstable; urgency=low

  * Renamed vga11x19 to avoid conflict with bitchx (closes: #228847).

 -- Herbert Xu <herbert@debian.org>  Wed, 21 Jan 2004 20:34:44 +1100

dosemu (1.2.0-1) unstable; urgency=low

  * New upstream release (closes: #228418, #228502).
  * Work around lkh bug by including mod_devicetable.h.
  * Use flex again.

 -- Herbert Xu <herbert@debian.org>  Tue, 20 Jan 2004 20:36:18 +1100

dosemu (1.0.2.1-15) unstable; urgency=low

  * Fixed multiplication overflow on >2GHz CPUs (closes: #210346).

 -- Herbert Xu <herbert@debian.org>  Sun,  5 Oct 2003 14:38:29 +1000

dosemu (1.0.2.1-14) unstable; urgency=low

  * Replaced debconf notes with entries in README.Debian (closes: #186855).
  * Fixed ELF test in base-configure.in.
  * Restore base-configure after make clean.
  * Replaced uses of echo -e in base-configure.in.
  * Fixed multiline string literals.
  * Use flex-old instead.

 -- Herbert Xu <herbert@debian.org>  Sat, 21 Jun 2003 15:50:29 +1000

dosemu (1.0.2.1-13) unstable; urgency=low

  * Fixed FreeDOS typo in menu file (closes: #182723).
  * Added support for non-serial devices in serial support (Stas Sergeev,
    closes: #179447).

 -- Herbert Xu <herbert@debian.org>  Sat, 22 Mar 2003 15:26:12 +1100

dosemu (1.0.2.1-12) unstable; urgency=low

  * Build-depend on slang1-dev since dosemu does not work with utf8.
  * Updated blurb about dosemu-freedos which is now in Debian.
  * Improved keyboard synchronisation for X.
  * Set %pure-parser to work with newer bison (closes: #168192).

 -- Herbert Xu <herbert@debian.org>  Sun, 23 Feb 2003 17:25:29 +1100

dosemu (1.0.2.1-11) unstable; urgency=low

  * Included mkfatimage16 again (closes: #174151).
  * Mention dosemu-freedos in README file (closes: #174682).

 -- Herbert Xu <herbert@debian.org>  Sun, 26 Jan 2003 14:23:33 +1100

dosemu (1.0.2.1-10) unstable; urgency=low

  * Depend on xlibs-dev instead of xlib6g-dev.
  * Get errno from errno.h in src/base/dev/misc/lpt.c.
  * Move hdimages down when home and/or tmp is set (closes: #172144).
  * Moved autoexec.bat to dosemu-freedos.
  * Recommend dosemu-freedos.

 -- Herbert Xu <herbert@debian.org>  Sat, 14 Dec 2002 14:59:15 +1100

dosemu (1.0.2.1-9) unstable; urgency=low

  * Removed tools86 on request from Robert Millan.
  * Removed FreeDOS line in package description.
  * Fixed setting of DOSEMU_STDIN_IS_CONSOLE (Mark Lundeberg, closes: #161966).

 -- Herbert Xu <herbert@debian.org>  Thu, 10 Oct 2002 19:46:12 +1000

dosemu (1.0.2.1-8) unstable; urgency=low

  * Replaced references to dosemu.org (closes: #143405).
  * Unset DOSEMU_STDIN_IS_CONSOLE if -X is used.

 -- Herbert Xu <herbert@debian.org>  Sun, 28 Apr 2002 13:39:39 +1000

dosemu (1.0.2.1-7) unstable; urgency=low

  * Updated German debconf translation (Christian Neumair, closes: #139093).
  * Removed root check in tty_lock.

 -- Herbert Xu <herbert@debian.org>  Sat, 23 Mar 2002 09:14:16 +1100

dosemu (1.0.2.1-6) unstable; urgency=low

  * Fixed overflow on large screens (Bart Oldeman, closes: #126262).

 -- Herbert Xu <herbert@debian.org>  Sat,  9 Mar 2002 14:44:41 +1100

dosemu (1.0.2.1-5) unstable; urgency=low

  * Added missing build-time dependency on flex (closes: #133079).
  * Fixed divide by zero bug when cpu MHz is zero (closes: #132631).

 -- Herbert Xu <herbert@debian.org>  Sun, 10 Feb 2002 10:24:03 +1100

dosemu (1.0.2.1-4) unstable; urgency=low

  * Move font alias into the correct package (closes: #128097).
  * Updated dosemu.users to remove draconian restrictions (closes: #126222).

 -- Herbert Xu <herbert@debian.org>  Fri, 25 Jan 2002 19:08:06 +1100

dosemu (1.0.2.1-3) unstable; urgency=low

  * Added missing build-time dependency on bison (closes: #123728).
  * Rename old configuration files instead of copying (closes: #125883).

 -- Herbert Xu <herbert@debian.org>  Thu, 20 Dec 2001 17:31:29 +1100

dosemu (1.0.2.1-2) unstable; urgency=low

  * The VGA font now lives in xfonts-dosemu in compliance with section 12.8.5
    of the Policy (closes: #116141).

 -- Herbert Xu <herbert@debian.org>  Sat, 20 Oct 2001 10:40:57 +1000

dosemu (1.0.2.1-1) unstable; urgency=low

  * New upstream release (closes: #114900).
  * Included tools86.
  * Removed code that disables emusys in fatfs.c, see #106079.
  * Added Russian debconf translation (Ilgiz Kalmetev, closes: #114520).

 -- Herbert Xu <herbert@debian.org>  Tue, 16 Oct 2001 18:28:19 +1000

dosemu (1.0.2-7) unstable; urgency=low

  * Fixed postinst error when freedos is a dangling symlink (closes: #109546).

 -- Herbert Xu <herbert@debian.org>  Thu, 23 Aug 2001 18:32:33 +1000

dosemu (1.0.2-6) unstable; urgency=low

  * Made /var/lib/dosemu/freedos symlink absolute.
  * Set TEMP to somewhere that's actually writeable.
  * Added Brazilian debconf translation (Andre Luis Lopes, closes: #107723).

 -- Herbert Xu <herbert@debian.org>  Sun, 19 Aug 2001 08:25:43 +1000

dosemu (1.0.2-5) unstable; urgency=low

  * Corrected FreeDOS installation instruction.
  * Removed limit on emubat substitution (closes: #103001).

 -- Herbert Xu <herbert@debian.org>  Sun,  5 Aug 2001 09:03:41 +1000

dosemu (1.0.2-4) unstable; urgency=low

  * Added colon at the end of the preinst script (closes: #105960).

 -- Herbert Xu <herbert@debian.org>  Fri, 20 Jul 2001 20:19:24 +1000

dosemu (1.0.2-3) unstable; urgency=low

  * Symlink the contents of dosemu/commands rather than the directory
    (closes: #105680).

 -- Herbert Xu <herbert@debian.org>  Wed, 18 Jul 2001 19:50:46 +1000

dosemu (1.0.2-2) unstable; urgency=low

  * Moved dosemu into contrib (closes: #101318).
  * Updated Spanish debconf template (Carlos Valdivia Yagüe, closes: #102905).
  * Added debconf note about upgrading with a setuid dos.
  * Removed coopthreads check that broke setuid (closes: #102775).

 -- Herbert Xu <herbert@debian.org>  Mon,  2 Jul 2001 19:07:31 +1000

dosemu (1.0.2-1) unstable; urgency=low

  * New upstream release (closes: #11965, #30667).

 -- Herbert Xu <herbert@debian.org>  Sun, 17 Jun 2001 12:46:54 +1000

dosemu (1.0.1-8) unstable; urgency=low

  * German translation for template (Sebastian Feltel, closes: #94389).

 -- Herbert Xu <herbert@debian.org>  Thu,  3 May 2001 19:17:22 +1000

dosemu (1.0.1-7) unstable; urgency=low

  * Clarified comment in README.Debian about the location of configuration
    files.
  * Spanish translation for template (Carlos Valdivia Yagüe, closes: #92313).

 -- Herbert Xu <herbert@debian.org>  Sat, 14 Apr 2001 09:54:41 +1000

dosemu (1.0.1-6) unstable; urgency=low

  * Depend on xutils for mkfontdir (closes: #88544).
  * Use debconf to display notes (closes: #88479).

 -- Herbert Xu <herbert@debian.org>  Mon,  5 Mar 2001 20:55:59 +1100

dosemu (1.0.1-5) unstable; urgency=low

  * Fixed compile problems with glibc 2.2.2 (Robert Bihlmeyer, closes: #88149).

 -- Herbert Xu <herbert@debian.org>  Fri,  2 Mar 2001 08:36:09 +1100

dosemu (1.0.1-4) unstable; urgency=low

  * Applied vmodem patch.
  * Fixed broken glibc version check in base-configure.
  * Removed calls to suidregister.
  * Gave the vga font a proper name (Rebeka Thomas, closes: #69337).
  * Use new style mtools options (closes: #78652).
  * Fixed typo in mfs name mangling code (closes: #83884).

 -- Herbert Xu <herbert@debian.org>  Sun, 18 Feb 2001 14:33:43 +1100

dosemu (1.0.1-3) unstable; urgency=low

  * Fixed incorrect Caps/Num Lock handling for X.

 -- Herbert Xu <herbert@debian.org>  Sat, 22 Jul 2000 14:31:13 +1000

dosemu (1.0.1-2) unstable; urgency=low

  * Fixed incorrect partition type sensing (closes: #67263).

 -- Herbert Xu <herbert@debian.org>  Mon, 17 Jul 2000 16:49:18 +1000

dosemu (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Added a suggest on binutils, mtools and tcltk since we use them in certain
    non-essential setup operations.
  * Added build-time dependency on debhelper.

 -- Herbert Xu <herbert@debian.org>  Wed,  5 Jul 2000 21:20:02 +1000

dosemu (1.0.0-1) unstable; urgency=low

  * New upstream release (closes: #59697).
  * Renamed /etc/dosemu/{conf, user} as /etc/dosemu/dosemu.{conf, user}
    (closes: #53647).  Hopefully one day upstream will start using /etc/dosemu
    as the default location.
  * Check for the existence of font directory before trying to delete it
    (closes: #56001).
  * Removed xtermdos(1) since upstream is planning on doing the same and they
    have already removed its manual page.
  * Install the secure version of dosemu.users by default.

 -- Herbert Xu <herbert@debian.org>  Sat, 25 Mar 2000 12:53:12 +1100

dosemu (0.98.8-2) unstable; urgency=low

  * Removed incorrect whoami test for console (closes: #46917).
  * Install a bootable hdimage (closes: #47303).

 -- Herbert Xu <herbert@debian.org>  Thu, 14 Oct 1999 20:49:58 +1000

dosemu (0.98.8-1) unstable; urgency=low

  * New upstream release.
  * Replaced /var/lib/dosemu with /usr/lib/dosemu in setup-bootdir
    (closes: #39548).
  * Replaced cua? with ttyS? in default conf file (closes: #39549).
  * Moved /usr/doc/dosemu to /usr/share/doc/dosemu.
  * Give different titles to tty/X11 menu entries (closes: #41752).

 -- Herbert Xu <herbert@debian.org>  Mon, 27 Sep 1999 21:53:23 +1000

dosemu (0.98.7-1) unstable; urgency=low

  * New upstream release.
  * Replaced DOSEMU_LIB_DIR with /var/lib/dosemu in global.conf (fixes #32514,
    #35860).
  * Stated the correct default in conf file (fixes #35501).
  * Replaced /etc/dosemu.conf by /etc/dosemu/conf in setup scripts (fixes
    #39151).

 -- Herbert Xu <herbert@debian.org>  Mon, 14 Jun 1999 16:58:04 +1000

dosemu (0.98.5-1) frozen unstable; urgency=high

  * New upstream release with fixes relating to slang.
  * Installed with setuid bit turned of by default.

 -- Herbert Xu <herbert@debian.org>  Sun, 28 Feb 1999 15:41:22 +1100

dosemu (0.98.2-1) unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Thu, 12 Nov 1998 13:13:58 +1100

dosemu (0.98.1-3) unstable; urgency=low

  * Recompiled with slang1.
  * Added handling for compressed README.txt in setup-dosemu (fixes #28089).
  * Added manual page for dexeconfig (fixes #19828).

 -- Herbert Xu <herbert@debian.org>  Wed, 28 Oct 1998 14:37:30 +1100

dosemu (0.98.1-2) unstable; urgency=medium

  * DOSEMU_LIB_DIR -> /var/lib/dosemu in global.conf (#fixes 27775).

 -- Herbert Xu <herbert@debian.org>  Mon, 12 Oct 1998 07:01:43 +1000

dosemu (0.98.1-1) unstable; urgency=low

  * New upstream release (fixes #26742, #27009).
  * Removed HOWTO (fixes #23037).

 -- Herbert Xu <herbert@debian.org>  Sat, 10 Oct 1998 19:58:46 +1000

dosemu (0.66.7-13) frozen unstable; urgency=high

  * More overflow bugs fixed.

 -- Herbert Xu <herbert@debian.org>  Tue, 30 Jun 1998 16:56:05 +1000

dosemu (0.66.7-12) frozen unstable; urgency=high

  * Root exploit plugged.

 -- Herbert Xu <herbert@debian.org>  Tue, 23 Jun 1998 18:39:01 +1000

dosemu (0.66.7-11) frozen unstable; urgency=high

  * Made /tmp uses secure in dexe scripts (fixes #23596).
  * Recoded the mkfontdir section in postinst/postrm (fixes #21419).

 -- Herbert Xu <herbert@debian.org>  Thu, 18 Jun 1998 20:25:37 +1000

dosemu (0.66.7-10) frozen unstable; urgency=low

  * Redirect stderr of command to /dev/null (fixes #21429).

 -- Herbert Xu <herbert@debian.org>  Mon, 20 Apr 1998 22:10:21 +1000

dosemu (0.66.7-9) frozen unstable; urgency=low

  * Renamed the upstream changelog file to changelog.

 -- Herbert Xu <herbert@debian.org>  Thu, 16 Apr 1998 19:14:35 +1000

dosemu (0.66.7-8) frozen unstable; urgency=low

  * Documented the fact that lredir doesn't work with FreeDOS yet.

 -- Herbert Xu <herbert@debian.org>  Wed, 15 Apr 1998 12:45:35 +1000

dosemu (0.66.7-7) frozen unstable; urgency=low

  * Removed ezedit.
    Fixed README.sgml.
    Added reference for lredir in README.Debian.
    (fixes #18152).

 -- Herbert Xu <herbert@debian.org>  Sat, 28 Mar 1998 22:35:50 +1100

dosemu (0.66.7-6) frozen unstable; urgency=low

  * Fixed typo "command -v which stuff" (fixes #20243).

 -- Herbert Xu <herbert@debian.org>  Fri, 27 Mar 1998 08:58:12 +1100

dosemu (0.66.7-5) frozen unstable; urgency=low

  * Rebuilt with debhelper 0.74 for man symlinks.
  * Updated installation scripts (fixes #20047).

 -- Herbert Xu <herbert@debian.org>  Mon, 23 Mar 1998 16:47:55 +1100

dosemu (0.66.7-4) unstable; urgency=low

  * Added purging action to postrm.

 -- Herbert Xu <herbert@debian.org>  Tue, 17 Mar 1998 22:03:31 +1100

dosemu (0.66.7-3) unstable; urgency=low

  * Added missing \ for line continuation (fixes #19740).
  * Updated Standards Version to 2.4.0.0.
  * Removed -rpath.
  * Added undocumented links for dexeconfig.
  * Added manpage link for dosexec.
  * Corrected the address of FSF.
  * Converted to debhelper.
  * Removed doinstall.sh.

 -- Herbert Xu <herbert@debian.org>  Tue, 17 Mar 1998 20:53:58 +1100

dosemu (0.66.7-2) unstable; urgency=low

  * Recompiled with xlib6g (#12781).
  * Added checks for error recovery (#12620).
  * Better handling of upgrades from old releases (#11617).

 -- Herbert Xu <herbert@debian.org>  Mon, 15 Sep 1997 22:06:54 +1000

dosemu (0.66.7-1) unstable; urgency=low

  * New upstream release.
  * Compiled with Debian slang libraries.
  * New menu entry from joost (no icons!!!).
  * hdimage is now installed as hdimage.first (#10936).

 -- Herbert Xu <herbert@debian.org>  Thu, 17 Jul 1997 16:28:39 +1000

dosemu (0.66.6-1) unstable; urgency=low

  * New upstream release.
  * Compiled with libc6.
  * X fonts are now gzipped.

 -- Herbert Xu <herbert@debian.org>  Mon, 16 Jun 1997 15:40:28 +1000

dosemu (0.66.5-1) unstable; urgency=low

  * New upstream release.
  * Cleaned up the Description (#9934).
  * Changed references to cua? to ttyS? (#10436).
  * Added dexeconfig and mkfatimage16.
  * Moved binaries in /usr/sbin to /usr/bin.

 -- Herbert Xu <herbert@debian.org>  Tue, 10 Jun 1997 19:59:46 +1000

dosemu (0.66.3-1) frozen unstable; urgency=low

  * New upstream release (bugfix).
  * Updated the installation scripts (#9199).
  * Removed patch droppings (#9038).

 -- Herbert Xu <herbert@debian.org>  Mon, 5 May 1997 20:51:10 +1000

dosemu (0.66.2-1) unstable; urgency=low

  * New upstream release.
  * Updated the postinst script.
  * Use the FDOS image that accompanies the official dosemu.

 -- Herbert Xu <herbert@debian.org>  Thu, 17 Apr 1997 07:37:00 +1000

dosemu (0.66.1-1) unstable; urgency=low

  * New upstream release.
  * Removed obsolete message about suiding /usr/bin/dos (#8380).

 -- Herbert Xu <herbert@debian.org>  Sat, 29 Mar 1997 12:04:03 +1100

dosemu (0.66.0-1) unstable; urgency=medium

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Sun, 23 Mar 1997 13:42:45 +1100

dosemu (0.64.4-1) unstable; urgency=low

  * New upstream release.

 -- Herbert Xu <herbert@debian.org>  Wed, 12 Feb 1997 15:02:16 +1100

dosemu (0.64.3.1-1) unstable; urgency=low

  * New upstream release.
  * Kernels >= 2.0.28 or >= 2.1.15 required.
  * Misc updates to postinst and rules.
  * X Windows -> X in control (#6885).
  * Fixed menu (#6892).
  * Included mkhdimage and others (#7170).

 -- Herbert Xu <herbert@debian.org>  Sun, 9 Feb 1997 16:06:00 +1100

dosemu (0.64.2.1-0) unstable; urgency=low

  * New maintainer.
  * New upstream release.
  * Fixed hostile configure + kversion.sh scripts.
  * Added manpage for xtermdos (#6352).
  * Added "set -e" in postinst (#6530).
  * Added a note about making dos setuid in postinst.
  * Added check for the existence of mkfontdir in postinst.
  * Moved dosemu.xpm to the right location.

 -- Herbert Xu <herbert@greathan.apana.org.au>  Fri, 17 Jan 1997 17:29:38 +1100

dosemu (0.64.2-2) unstable; urgency=low

  * menu changes according to Joey Hess <joey@kite.ml.org> bug report #6209

 -- Christoph Lameter <clameter@debian.org>  Sat, 28 Dec 1996 17:54:59 -0800

dosemu (0.64.2-1) unstable; urgency=low

  * New upstream release

 -- Christoph Lameter <clameter@debian.org>  Tue, 24 Dec 1996 23:07:11 -0800

dosemu (0.64.1-3) unstable; urgency=low

  * Menu support added (with icon!!!)

 -- Christoph Lameter <clameter@debian.org>  Sat, 14 Dec 1996 18:37:20 -0800

dosemu (0.64.1-2) stable unstable; urgency=high

  * suidmanager support. dosemu will install without suid priviledges but
    allows the user to configure suid permissions in /etc/suid.conf for
    /usr/bin/dos (if the
    suidmanager is installed of course)

 -- Christoph Lameter <clameter@debian.org>  Sat, 7 Dec 1996 17:00:50 -0800

dosemu (0.64.1-1) stable unstable; urgency=high

  * upstream upgrade to 0.64.1 (Fixes security hole when running setsuid)
  * info file was not installed in the last releases.
  * Security: dosemu installation patched so that it is not installed
    setuid anymore.
    ( Seems that there is too much risk even with the security hole fixed)
    It seems to work but functionality has been sacrificed.
  * Documentation regarding current Security issues included in
    /usr/doc/dosemu/README.debian

 -- Christoph Lameter <clameter@debian.org>  Mon, 18 Nov 1996 22:12:42 -0800

dosemu (0.64.0.2-9) unstable; urgency=high

  * some fixes to the way links are handled in postinst
  * debmake used for info and cleanup

 -- Christoph Lameter <clameter@debian.org>  Tue, 22 Oct 1996 19:22:53 -0700

dosemu (0.64.0.2-8) unstable; urgency=high

  * bug in postrm. Recursive flag not specified on removal of dirs.

 -- Christoph Lameter <clameter@debian.org>  Sat, 19 Oct 1996 12:58:12 +0800

dosemu (0.64.0.2-7) unstable; urgency=high

  * Changed configuration file to reside in /etc/dosemu without any symlinks
    The main configuration file is now /etc/dosemu/conf and NOT /etc/dosemu.conf
    anymore.
  * Removed xtermdos
  * Fixed the serial port locking to use /var/lock/
  * Fixed the permissions for manpages

 -- Christoph Lameter <clameter@debian.org>  Wed, 16 Oct 1996 17:53:56 +0800

dosemu (0.64.0.2-6) unstable; urgency=high

  * Switched to using debmake to maintain package.-> gzipped manpages + doc
  * Switched module usage off. No modules are loaded anymore on startup.
    After talking with the dosemu devel people the following emerged:
    - Due to the special module loader and other tricks with the kernel
      (u.a. GDT modifications!)
      the modules are more dependant on the kernel version than regular
      modules. The insmod -f that I was using therefore is often not working
      especially when System.map is not up to date!
  * Expected issues:
    - DPMI apps might not run (Hans Lermen might already have fixed it)
    - Timer related stuff may not work. Dos Stack overflow more likely.
    - No Hardware IRQs
    - Dosdebug does not work
  * Future: The dosemu team expects to get rid of the necessity of modules.
    Linus will integrate the parts necessary into future versions of 2.1.X.
  * No future support of the dosemu modules is planned by me. I dont have the
    time  to maintain a package that is dependent on the kernel version. If
    someone else is willing to tackle those issues then please step forward.

 -- Christoph Lameter <clameter@debian.org>  Wed, 16 Oct 1996 08:54:03 +0800

dosemu (0.64.0.2-5) unstable; urgency=high

  * changed the sourcecode archive names to include the full original
    version number.
  * On startup of the dosemu modules check the kernel version number.
  * Documented what this package does with modules

 -- Christoph Lameter <clameter@debian.org>  Sat, 12 Oct 1996 08:37:47 +0800

dosemu (0.64.0.2-4) unstable; urgency=high

  * Reduced size of dosemu by making it dependant on slang.
  * Support for the Virtual Network disabled since the hope for the fix of
    the dosnet problems is gone. dosnet was last usable on a 1.2.13 kernel.
  * Added a warning to debian/control regarding the potential for trouble
    through dosemu.

 -- Christoph Lameter <clameter@debian.org>  Wed, 3 Oct 1996 09:00:00 +0800

dosemu (0.64.0.2-3) unstable; urgency=high

  * Support for Virtual Network included (not working right now due to a bug
    in dosemu which I hope to have fixed soon. Had to include it since this
    version also fixed a big problem).
  * Fixed broken rmmod function. dosemu stop did not work.

 -- Christoph Lameter <clameter@debian.org>  Wed, 3 Oct 1996 09:00:00 +0800

dosemu (0.64.0.2-2) unstable; urgency=high

  * Reworked installation scripts etc so that the presence of FreeDOS is
    detected. After installation dos can now be started without first
    having to copy msdos.
  * Lots of other fixes
  * insmod -f used to load emumodule etc so that dosemu is version independent.

 -- Christoph Lameter <clameter@debian.org>  Wed, 2 Oct 1996 09:00:00 +0800

dosemu (0.64.0.2-1) unstable; urgency=high

  * Initial Release

 -- Christoph Lameter <clameter@debian.org>  Wed, 2 Oct 1996 09:00:00 +0800

